package com.qxgmat.dto.extend;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserPaper;
import com.qxgmat.data.inline.PaperStat;

@Dto(entity = UserPaper.class)
public class UserExercisePaperExtendDto {

    private Integer id;

    private UserReportExtendDto report;

    private Integer times;

    private String title;

    private PaperStat stat;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public UserReportExtendDto getReport() {
        return report;
    }

    public void setReport(UserReportExtendDto report) {
        this.report = report;
    }

    public PaperStat getStat() {
        return stat;
    }

    public void setStat(PaperStat stat) {
        this.stat = stat;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }
}
